import _extends from "@babel/runtime/helpers/esm/extends";
import parseLocationSearch from './parseLocationSearch';
export default function useHistoryLocationQuery(history) {
  var getCurrentLocation = function getCurrentLocation() {
    return _extends({}, history.location, {
      query: parseLocationSearch(history.location)
    });
  };

  return _extends({}, history, {
    getCurrentLocation: getCurrentLocation,

    get location() {
      return getCurrentLocation();
    },

    listen: function listen(listener) {
      return history.listen(function (location) {
        return listener(_extends({}, location, {
          query: parseLocationSearch(location)
        }));
      });
    }
  });
}