import _extends from "@babel/runtime/helpers/esm/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { useRouter } from './hooks';
import hoistNonReactStatics from 'hoist-non-react-statics';
/**
 * HoC to enhance a component to inject the router context
 * @param {import('react').ComponentType} Component to be enhanced
 * @param {{ displayName: String }=} displayName
 */

export default (function (Component, _temp) {
  var _ref = _temp === void 0 ? {
    displayName: ''
  } : _temp,
      displayName = _ref.displayName;

  var WrappedComponent = function WrappedComponent(externalProps) {
    /** @type {import('./types').Router} Extract the router using the hook */
    var router = useRouter();
    var params = router.params,
        location = router.location,
        routes = router.routes;

    var props = _extends({}, externalProps, {
      router: router,
      params: params,
      location: location,
      routes: routes
    });

    return /*#__PURE__*/_jsx(Component, _extends({}, props));
  };

  WrappedComponent.displayName = displayName || "withRouter(" + (Component.displayName || Component.name) + ")";
  return hoistNonReactStatics(WrappedComponent, Component);
});